%define	module DBD-mysql

Summary:	MySQL-Perl bindings
Name:		perl-%{module}
Version:	4.006
Release:	%mkrel 2
License:	GPL
Group:		Development/Databases
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/DBD/%{module}-%{version}.tar.gz
BuildRequires:	perl-DBI
BuildRequires:	mysql-devel
BuildRequires:	perl-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
Provides:	perl-Mysql
Obsoletes:	perl-Mysql
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

%prep

%setup -q -n %{module}-%{version}

%build
%serverbuild

%{__perl} Makefile.PL INSTALLDIRS=vendor
#--testhost=127.0.0.1 --testport=22222

%make OPTIMIZE="$CFLAGS"

# make test requires a running mysql server
#make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}

%makeinstall_std

%files
%defattr(-,root,root)
%doc README ChangeLog
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Wed Jan 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.006-2mdv2008.1
+ Revision: 157263
- rebuild with fixed %%serverbuild macro

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.006-1mdv2008.1
+ Revision: 153975
- update to new version 4.006

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.005-2mdv2008.1
+ Revision: 152054
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Oden Eriksson <oeriksson@mandriva.com> 4.005-1mdv2008.0
+ Revision: 53561
- 4.005

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 4.004-1mdv2008.0
+ Revision: 19857
- 4.004


* Tue Mar 06 2007 Oden Eriksson <oeriksson@mandriva.com> 4.003-1mdv2007.0
+ Revision: 133623
- 4.003

* Thu Jan 11 2007 Oden Eriksson <oeriksson@mandriva.com> 4.001-1mdv2007.1
+ Revision: 107382
- 4.001

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0008-1mdv2007.1
+ Revision: 75669
- Import perl-DBD-mysql

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0008-1mdv2007.1
- 3.0008 (fixes #26932)
- fix deps

* Tue Sep 05 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0006-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0006-1mdv2007.0
- New version 3.0006

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.0004-1mdv2007.0
- New release 3.0004
- spec cleanup

* Wed Jan 04 2006 Emmanuel Blindauer <blindauer@mandriva.org> 3.0002-4mdk
- rebuild against openssl-0.9.8a, sync with ppc

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0002-3mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.0002-2mdk
- rebuilt against MySQL-5.0.15

* Sat Jul 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.0002-1mdk
- 3.0002

* Sat Jul 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.0000-1mdk
- 3.0000

* Thu Jun 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9008-1mdk
- 2.9008
- Change innacurate summary

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.9007-1mdk
- 2.9007

* Wed Jan 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.9004-6mdk
- Add perl-DBI in the BuildRequires (Marc Koschewski)

* Mon Jan 24 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9004-5mdk
- rebuild

* Sat Jan 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.9004-4mdk
- rebuilt against MySQL-4.1.x system libs

* Fri Jan 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.9004-3mdk
- Fix URL and source
- Replaces perl-Mysql

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 2.9004-2mdk
- Rebuild for new perl

* Sun Jul 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9004-1mdk
- 2.9004

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9003-1mdk
- 2.9003
- drop distribution tag
- cosmetics

